image: alpine:latest

libinput:
  image: archlinux/base
  stage: build
  before_script:
  - pacman -S --noconfirm --refresh
  - pacman -S --noconfirm $ARCH_PKGS
  script:
  - git clone https://gitlab.freedesktop.org/libinput/libinput.git libinput.git
  - pushd libinput.git
  - rm -rf $MESON_BUILDDIR
  - meson $MESON_BUILDDIR $MESON_ARGS
  - meson configure $MESON_BUILDDIR
  - ninja -C $MESON_BUILDDIR
  - popd
  - mv libinput.git/$MESON_BUILDDIR/Documentation libinput/doc/latest
  - mv libinput.git/$MESON_BUILDDIR/api libinput/doc/latest/
  artifacts:
    paths:
    - libinput/doc/latest
  variables:
    MESON_ARGS: '-Ddebug-gui=false -Dtests=false'
    MESON_BUILDDIR: 'builddir'
    # libinput's .gitlab-ci.yml has the list of ARCH_PKGS, copied from there
    ARCH_PKGS:   'git gcc pkgconfig meson libevdev doxygen graphviz python-sphinx python-recommonmark python-sphinx_rtd_theme libwacom mtdev '

pages:
  stage: deploy
  script:
  - mkdir .public
  - mv * .public
  - mv .public public
  artifacts:
    paths:
    - public
  only:
  - master
